org.apache.ignite.internal.processors.cache.mvcc.msg

## Interface MvccMessage

All Superinterfaces:
  Message, Serializable

All Known Implementing Classes:
  MvccAckRequestQueryCntr, MvccAckRequestQueryId, MvccAckRequestTx, MvccAckRequestTxAndQueryCntr, MvccAckRequestTxAndQueryId, MvccActiveQueriesMessage, MvccFutureResponse, MvccQuerySnapshotRequest, MvccRecoveryFinishedMessage, MvccSnapshotResponse, MvccTxSnapshotRequest

    public interface MvccMessage
    extends Message

Common interface for all MVCC-related messages.

### Field Summary

### Fields inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`DIRECT_TYPE_SIZE`

### Method Summary

All Methods Instance Methods Abstract Methods
`boolean` `processedFromNioThread()`
`boolean` `waitForCoordinatorInit()`

### Methods inherited from interface org.apache.ignite.plugin.extensions.communication.Message

`directType, fieldsCount, onAckReceived, readFrom, writeTo`

### Method Detail

#### waitForCoordinatorInit

    boolean waitForCoordinatorInit()

Returns:
  `True` if should wait for coordinator initialization.

#### processedFromNioThread

    boolean processedFromNioThread()

Returns:
  `True` if message should be processed from NIO thread.

${current.year} Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Database and Caching Platform | : ver. 2.14.0
Release Date | : September 29 2022